# dirt - MUD framework
[![Donate](https://img.shields.io/liberapay/receives/rocketnine.space.svg?logo=liberapay)](https://liberapay.com/rocketnine.space)

This framework is in pre-alpha state.  Here be dragons.

## Features

- Absolutely nothing right now, but in the future:
- Create games without writing any code using mkdirt
  - Terminal-based
  - VIM keybindings
- Games are stored as .mud files which are played using dirt
  - Single-player or multiplayer
  - View map (when enabled)

## Install

This application is written in [Go](https://golang.org). Download and install
the Go compiler if you have not already done so.

### Download and install dirt to ~/go/bin/dirt

```bash
go get code.rocketnine.space/tslocum/cmd/dirt 
```

### Download and install mkdirt to ~/go/bin/mkdirt

```bash
go get code.rocketnine.space/tslocum/cmd/mkdirt
```

## Run

```bash
# Create a game using mkdirt
mkdirt

# Distribute it and play it using dirt
dirt my-game.mud
```

## Support

Please share issues and suggestions [here](https://gitlab.com/tslocum/dirt/issues).

## Contribute

1. Fork this repository.
2. Commit code changes to your forked repository.
3. Submit a pull request describing your changes.
